Package org.springframework.security.web.webauthn.api

# Class ImmutableAuthenticationExtensionsClientInputs

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutableAuthenticationExtensionsClientInputs

All Implemented Interfaces:
  `Serializable`, `AuthenticationExtensionsClientInputs`

public class ImmutableAuthenticationExtensionsClientInputs extends Object implements AuthenticationExtensionsClientInputs
An immutable implementation of `AuthenticationExtensionsClientInputs`.

Since:
  6.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImmutableAuthenticationExtensionsClientInputs(List<AuthenticationExtensionsClientInput> inputs)`
`ImmutableAuthenticationExtensionsClientInputs(AuthenticationExtensionsClientInput... inputs)`

## Method Summary

Modifier and Type
Method
Description
`List<AuthenticationExtensionsClientInput>`
`getInputs()`
Gets all of the `AuthenticationExtensionsClientInput`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutableAuthenticationExtensionsClientInputs

public ImmutableAuthenticationExtensionsClientInputs(List<AuthenticationExtensionsClientInput> inputs)

### ImmutableAuthenticationExtensionsClientInputs

public ImmutableAuthenticationExtensionsClientInputs(AuthenticationExtensionsClientInput... inputs)

## Method Details

### getInputs

public List<AuthenticationExtensionsClientInput> getInputs()
Description copied from interface: `AuthenticationExtensionsClientInputs`
Gets all of the `AuthenticationExtensionsClientInput`.

Specified by:
  `getInputs` in interface `AuthenticationExtensionsClientInputs`
Returns:
  a non-null `List` of `AuthenticationExtensionsClientInput`.